diff -duPNr rubberband-1.3/configure.ac rubberband-1.3.0/configure.ac
--- rubberband-1.3/configure.ac	2009-03-01 21:55:47.000000000 +0000
+++ rubberband-1.3.0/configure.ac	2009-06-04 14:37:52.000000000 +0100
@@ -1,5 +1,5 @@
 
-AC_INIT(RubberBand, 1.2, cannam@all-day-breakfast.com)
+AC_INIT(RubberBand, 1.3.0, cannam@all-day-breakfast.com)
 
 AC_CONFIG_SRCDIR(src/StretcherImpl.h)
 AC_PROG_CXX
@@ -21,10 +21,6 @@
 AC_CHECK_HEADERS(ladspa.h)
 AC_CHECK_HEADERS(pthread.h)
 
-PKG_CHECK_MODULES([Vamp],[vamp-sdk])
-AC_SUBST(Vamp_CFLAGS)
-AC_SUBST(Vamp_LIBS)
-
 changequote(,)dnl
 if test "x$GCC" = "xyes"; then
   case " $CFLAGS " in
diff -duPNr rubberband-1.3/debian/changelog rubberband-1.3.0/debian/changelog
--- rubberband-1.3/debian/changelog	1970-01-01 01:00:00.000000000 +0100
+++ rubberband-1.3.0/debian/changelog	2009-06-04 14:37:52.000000000 +0100
@@ -0,0 +1,6 @@
+rubberband (1.3.0-1.rncbc.ubuntu804) unstable; urgency=low
+
+  * Initial debianization
+
+ -- Rui Nuno Capela <rncbc@rncbc.org>  Wed, 3 Jun 2009 15:08:41 +0100
+
diff -duPNr rubberband-1.3/debian/compat rubberband-1.3.0/debian/compat
--- rubberband-1.3/debian/compat	1970-01-01 01:00:00.000000000 +0100
+++ rubberband-1.3.0/debian/compat	2009-06-04 14:37:52.000000000 +0100
@@ -0,0 +1 @@
+5
diff -duPNr rubberband-1.3/debian/control rubberband-1.3.0/debian/control
--- rubberband-1.3/debian/control	1970-01-01 01:00:00.000000000 +0100
+++ rubberband-1.3.0/debian/control	2009-06-04 14:37:52.000000000 +0100
@@ -0,0 +1,50 @@
+Source: rubberband
+Section: sound
+Priority: extra
+Maintainer: Rui Nuno Capela <rncbc@rncbc.org>
+Build-Depends: debhelper (>= 5), pkg-config, libfftw3-dev,
+  libsndfile-dev, libsamplerate-dev, ladspa-sdk
+Standards-Version: 3.7.2
+
+Package: librubberband1
+Architecture: any
+Provides: librubberband
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Rubber Band Library is a high quality software library
+  for audio time-stretching and pitch-shifting. It permits you to
+  change the tempo and pitch of an audio recording or stream dynamically
+  and independently of one another.
+
+Package: librubberband-dev
+Architecture: any
+Depends: librubberband1 (= ${Source-Version})
+Description: Rubber Band Library is a high quality software library
+  for audio time-stretching and pitch-shifting. It permits you to
+  change the tempo and pitch of an audio recording or stream dynamically
+  and independently of one another.
+  --
+  This package contains the header files needed for
+  development with librubberband. You will need this only if you
+  intend to compile programs that use this library.
+
+Package: rubberband
+Architecture: any
+Depends: librubberband1 (= ${Source-Version})
+Description: Rubber Band Library is a high quality software library
+  for audio time-stretching and pitch-shifting. It permits you to
+  change the tempo and pitch of an audio recording or stream dynamically
+  and independently of one another.
+  --
+  This package contains the rubberband audio file time-stretcher and
+  pitch-shiter command line utility.
+
+Package: rubberband-ladspa
+Architecture: any
+Depends: librubberband1 (= ${Source-Version})
+Description: Rubber Band Library is a high quality software library
+  for audio time-stretching and pitch-shifting. It permits you to
+  change the tempo and pitch of an audio recording or stream dynamically
+  and independently of one another.
+  --
+  This package contains the rubberband LADSPA plugin.
+
diff -duPNr rubberband-1.3/debian/copyright rubberband-1.3.0/debian/copyright
--- rubberband-1.3/debian/copyright	1970-01-01 01:00:00.000000000 +0100
+++ rubberband-1.3.0/debian/copyright	2009-06-04 14:37:52.000000000 +0100
@@ -0,0 +1,30 @@
+This package was debianized by Rui Nuno Capela <rncbc@rncbc.org> on
+Wed, 3 Jun 2009 15:08:41 +0100.
+
+It was downloaded from http://www.breakfastquay.com/rubberband/
+
+Upstream Author: Chris Cannam <cannam@all-day-breakfast.com>
+
+Copyright:
+
+   Copyright (C) 2008-2009 Chris Cannam, All right reserved.
+
+License:
+
+   This program is free software; you can redistribute it and/or
+   modify it under the terms of the GNU General Public License
+   as published by the Free Software Foundation; either version 2
+   of the License, or (at your option) any later version.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License along
+   with this program; if not, write to the Free Software Foundation, Inc.,
+   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+The Debian packaging is (C) 2009, Rui Nuno Capela <rncbc@rncbc.org> and
+is licensed under the GPL, see `/usr/share/common-licenses/GPL'.
+
diff -duPNr rubberband-1.3/debian/docs rubberband-1.3.0/debian/docs
--- rubberband-1.3/debian/docs	1970-01-01 01:00:00.000000000 +0100
+++ rubberband-1.3.0/debian/docs	2009-06-04 14:37:52.000000000 +0100
@@ -0,0 +1 @@
+README
diff -duPNr rubberband-1.3/debian/librubberband1.install rubberband-1.3.0/debian/librubberband1.install
--- rubberband-1.3/debian/librubberband1.install	1970-01-01 01:00:00.000000000 +0100
+++ rubberband-1.3.0/debian/librubberband1.install	2009-06-04 14:37:52.000000000 +0100
@@ -0,0 +1 @@
+debian/tmp/usr/lib/*.so.* usr/lib
diff -duPNr rubberband-1.3/debian/librubberband-dev.install rubberband-1.3.0/debian/librubberband-dev.install
--- rubberband-1.3/debian/librubberband-dev.install	1970-01-01 01:00:00.000000000 +0100
+++ rubberband-1.3.0/debian/librubberband-dev.install	2009-06-04 14:37:52.000000000 +0100
@@ -0,0 +1,4 @@
+debian/tmp/usr/include/* usr/include
+debian/tmp/usr/lib/*.so usr/lib
+debian/tmp/usr/lib/*.a usr/lib
+debian/tmp/usr/lib/pkgconfig/*.pc usr/lib/pkgconfig
diff -duPNr rubberband-1.3/debian/rubberband.install rubberband-1.3.0/debian/rubberband.install
--- rubberband-1.3/debian/rubberband.install	1970-01-01 01:00:00.000000000 +0100
+++ rubberband-1.3.0/debian/rubberband.install	2009-06-04 14:37:52.000000000 +0100
@@ -0,0 +1 @@
+debian/tmp/usr/bin/* usr/bin
diff -duPNr rubberband-1.3/debian/rubberband-ladspa.install rubberband-1.3.0/debian/rubberband-ladspa.install
--- rubberband-1.3/debian/rubberband-ladspa.install	1970-01-01 01:00:00.000000000 +0100
+++ rubberband-1.3.0/debian/rubberband-ladspa.install	2009-06-04 14:37:52.000000000 +0100
@@ -0,0 +1,2 @@
+debian/tmp/usr/lib/ladspa/* usr/lib/ladspa
+debian/tmp/usr/share/ladspa/* usr/share/ladspa
diff -duPNr rubberband-1.3/debian/rules rubberband-1.3.0/debian/rules
--- rubberband-1.3/debian/rules	1970-01-01 01:00:00.000000000 +0100
+++ rubberband-1.3.0/debian/rules	2009-06-04 14:38:19.000000000 +0100
@@ -0,0 +1,102 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+
+CFLAGS = -Wall -g
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
+
+	# Add here commands to configure the package.
+	-aclocal
+	-autoconf
+
+	./configure --prefix=/usr
+	touch configure-stamp
+
+
+build: build-stamp
+
+build-stamp: configure-stamp 
+	dh_testdir
+
+	# Add here commands to compile the package.
+	$(MAKE)
+
+	#docbook-to-man debian/librubberband.sgml > librubberband.1
+
+	touch $@
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp configure-stamp
+
+	# Add here commands to clean up after the build process.
+	-$(MAKE) clean
+
+	dh_clean 
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k 
+	dh_installdirs
+
+	# Add here commands to install the package into debian/tmp.
+	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
+
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs
+	dh_installdocs
+	dh_installexamples
+	dh_install
+#	dh_installmenu
+#	dh_installdebconf	
+#	dh_installlogrotate
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_python
+#	dh_installinit
+#	dh_installcron
+#	dh_installinfo
+	dh_installman
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+#	dh_perl
+	dh_makeshlibs
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure
+
diff -duPNr rubberband-1.3/Makefile.in rubberband-1.3.0/Makefile.in
--- rubberband-1.3/Makefile.in	2009-03-01 21:55:47.000000000 +0000
+++ rubberband-1.3.0/Makefile.in	2009-06-04 14:37:52.000000000 +0100
@@ -1,12 +1,11 @@
 
 CXX		:= @CXX@
-CXXFLAGS	:= -DHAVE_FFTW3 -DFFTW_DOUBLE_ONLY -DNO_THREAD_CHECKS @CXXFLAGS@ @SRC_CFLAGS@ @SNDFILE_CFLAGS@ @FFTW_CFLAGS@ @Vamp_CFLAGS@ -Irubberband -Isrc $(OPTFLAGS)
+CXXFLAGS	:= -DHAVE_FFTW3 -DFFTW_DOUBLE_ONLY -DNO_THREAD_CHECKS @CXXFLAGS@ @SRC_CFLAGS@ @SNDFILE_CFLAGS@ @FFTW_CFLAGS@ -Irubberband -Isrc $(OPTFLAGS)
 CFLAGS		:= @CFLAGS@ $(OPTFLAGS)
 LDFLAGS		:= @LDFLAGS@ -lpthread $(LDFLAGS)
 
 LIBRARY_LIBS		:= @SRC_LIBS@ @FFTW_LIBS@ 
 PROGRAM_LIBS		:= @SNDFILE_LIBS@ $(LIBRARY_LIBS)
-VAMP_PLUGIN_LIBS	:= @Vamp_LIBS@ $(LIBRARY_LIBS)
 LADSPA_PLUGIN_LIBS	:= $(LIBRARY_LIBS)
 
 MKDIR			:= mkdir
@@ -17,30 +16,26 @@
 DYNAMIC_ABI_VERSION	:= .2
 DYNAMIC_LIBNAME		:= librubberband$(DYNAMIC_EXTENSION)
 DYNAMIC_LDFLAGS		:= -shared -Wl,-Bsymbolic -Wl,-soname=$(DYNAMIC_LIBNAME)$(DYNAMIC_ABI_VERSION)
-VAMP_LDFLAGS		:= -shared -Wl,-Bsymbolic -Wl,--version-script=src/vamp/vamp-plugin.map
 LADSPA_LDFLAGS		:= -shared -Wl,-Bsymbolic -Wl,--version-script=src/ladspa/ladspa-plugin.map
 
 PROGRAM_TARGET 		:= bin/rubberband
 STATIC_TARGET  		:= lib/librubberband.a
 DYNAMIC_TARGET 		:= lib/$(DYNAMIC_LIBNAME)
-VAMP_TARGET    		:= lib/vamp-rubberband$(DYNAMIC_EXTENSION)
 LADSPA_TARGET  		:= lib/ladspa-rubberband$(DYNAMIC_EXTENSION)
 
 INSTALL_BINDIR		:= @prefix@/bin
 INSTALL_INCDIR		:= @prefix@/include/rubberband
 INSTALL_LIBDIR		:= @prefix@/lib
-INSTALL_VAMPDIR		:= @prefix@/lib/vamp
 INSTALL_LADSPADIR	:= @prefix@/lib/ladspa
 INSTALL_LRDFDIR		:= @prefix@/share/ladspa/rdf
 INSTALL_PKGDIR		:= @prefix@/lib/pkgconfig
 
-all:	bin lib $(PROGRAM_TARGET) $(STATIC_TARGET) $(DYNAMIC_TARGET) $(VAMP_TARGET) $(LADSPA_TARGET)
+all:	bin lib $(PROGRAM_TARGET) $(STATIC_TARGET) $(DYNAMIC_TARGET) $(LADSPA_TARGET)
 
 static:		$(STATIC_TARGET)
 dynamic:	$(DYNAMIC_TARGET)
 library:	$(STATIC_TARGET) $(DYNAMIC_TARGET)
 program:	$(PROGRAM_TARGET)
-vamp:		$(VAMP_TARGET)
 ladspa:		$(LADSPA_TARGET)
 
 PUBLIC_INCLUDES := \
@@ -89,13 +84,6 @@
 PROGRAM_SOURCES := \
 	src/main.cpp
 
-VAMP_HEADERS := \
-	src/vamp/RubberBandVampPlugin.h
-
-VAMP_SOURCES := \
-	src/vamp/RubberBandVampPlugin.cpp \
-	src/vamp/libmain.cpp
-
 LADSPA_HEADERS := \
 	src/ladspa/RubberBandPitchShifter.h
 
@@ -107,7 +95,6 @@
 LIBRARY_OBJECTS := $(LIBRARY_OBJECTS:.c=.o)
 
 PROGRAM_OBJECTS := $(PROGRAM_SOURCES:.cpp=.o)
-VAMP_OBJECTS    := $(VAMP_SOURCES:.cpp=.o)
 LADSPA_OBJECTS  := $(LADSPA_SOURCES:.cpp=.o)
 
 $(PROGRAM_TARGET):	$(LIBRARY_OBJECTS) $(PROGRAM_OBJECTS)
@@ -119,9 +106,6 @@
 $(DYNAMIC_TARGET):	$(LIBRARY_OBJECTS)
 	$(CXX) $(DYNAMIC_LDFLAGS) $^ -o $@ $(LIBRARY_LIBS) $(LDFLAGS)
 
-$(VAMP_TARGET):		$(LIBRARY_OBJECTS) $(VAMP_OBJECTS)
-	$(CXX) $(VAMP_LDFLAGS) -o $@ $^ $(VAMP_PLUGIN_LIBS) $(LDFLAGS)
-
 $(LADSPA_TARGET):	$(LIBRARY_OBJECTS) $(LADSPA_OBJECTS)
 	$(CXX) $(LADSPA_LDFLAGS) -o $@ $^ $(LADSPA_PLUGIN_LIBS) $(LDFLAGS)
 
@@ -134,7 +118,6 @@
 	$(MKDIR) -p $(DESTDIR)$(INSTALL_BINDIR)
 	$(MKDIR) -p $(DESTDIR)$(INSTALL_INCDIR)
 	$(MKDIR) -p $(DESTDIR)$(INSTALL_LIBDIR)
-	$(MKDIR) -p $(DESTDIR)$(INSTALL_VAMPDIR)
 	$(MKDIR) -p $(DESTDIR)$(INSTALL_LADSPADIR)
 	$(MKDIR) -p $(DESTDIR)$(INSTALL_LRDFDIR)
 	$(MKDIR) -p $(DESTDIR)$(INSTALL_PKGDIR)
@@ -146,8 +129,6 @@
 	cp $(DYNAMIC_TARGET) $(DESTDIR)$(INSTALL_LIBDIR)/$(DYNAMIC_LIBNAME)$(DYNAMIC_FULL_VERSION)
 	test -n "$(DYNAMIC_FULL_VERSION)" && ln -s $(DYNAMIC_LIBNAME)$(DYNAMIC_FULL_VERSION) $(DESTDIR)$(INSTALL_LIBDIR)/$(DYNAMIC_LIBNAME)$(DYNAMIC_ABI_VERSION)
 	test -n "$(DYNAMIC_FULL_VERSION)" && ln -s $(DYNAMIC_LIBNAME)$(DYNAMIC_FULL_VERSION) $(DESTDIR)$(INSTALL_LIBDIR)/$(DYNAMIC_LIBNAME)
-	cp $(VAMP_TARGET) $(DESTDIR)$(INSTALL_VAMPDIR)
-	cp src/vamp/vamp-rubberband.cat $(DESTDIR)$(INSTALL_VAMPDIR)
 	cp $(LADSPA_TARGET) $(DESTDIR)$(INSTALL_LADSPADIR)
 	cp src/ladspa/ladspa-rubberband.cat $(DESTDIR)$(INSTALL_LADSPADIR)
 	cp src/ladspa/ladspa-rubberband.rdf $(DESTDIR)$(INSTALL_LRDFDIR)
@@ -155,10 +136,10 @@
 	  > $(DESTDIR)$(INSTALL_PKGDIR)/rubberband.pc
 
 clean:
-	rm -f $(LIBRARY_OBJECTS) $(PROGRAM_OBJECTS) $(LADSPA_OBJECTS) $(VAMP_OBJECTS)
+	rm -f $(LIBRARY_OBJECTS) $(PROGRAM_OBJECTS) $(LADSPA_OBJECTS)
 
 distclean:	clean
-	rm -f $(PROGRAM_TARGET) $(STATIC_TARGET) $(DYNAMIC_TARGET) $(VAMP_TARGET) $(LADSPA_TARGET)
+	rm -f $(PROGRAM_TARGET) $(STATIC_TARGET) $(DYNAMIC_TARGET) $(LADSPA_TARGET)
 
 # DO NOT DELETE
 
@@ -242,15 +223,6 @@
 src/ladspa/RubberBandPitchShifter.o: src/sysutils.h src/Profiler.h
 src/ladspa/RubberBandPitchShifter.o: rubberband/RubberBandStretcher.h
 src/ladspa/RubberBandPitchShifter.o: rubberband/rubberband-c.h
-src/vamp/libmain.o: src/vamp/RubberBandVampPlugin.h
-src/vamp/libmain.o: rubberband/RubberBandStretcher.h
-src/vamp/libmain.o: rubberband/rubberband-c.h
-src/vamp/RubberBandVampPlugin.o: src/vamp/RubberBandVampPlugin.h
-src/vamp/RubberBandVampPlugin.o: rubberband/RubberBandStretcher.h
-src/vamp/RubberBandVampPlugin.o: rubberband/rubberband-c.h
-src/vamp/RubberBandVampPlugin.o: src/StretchCalculator.h
 src/ladspa/RubberBandPitchShifter.o: src/RingBuffer.h
 src/ladspa/RubberBandPitchShifter.o: src/Scavenger.h src/Thread.h
 src/ladspa/RubberBandPitchShifter.o: src/sysutils.h src/Profiler.h
-src/vamp/RubberBandVampPlugin.o: rubberband/RubberBandStretcher.h
-src/vamp/RubberBandVampPlugin.o: rubberband/rubberband-c.h
